<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.1
Cambio: Corrige problema con nombres de archivos que contienen &
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']))
{
session_unset();
session_destroy();
header( "Location: index.php?error=LOGEARSE" );
}
$ruta=$_GET["ruta"];
$id=$_GET["id"];
header ("Content-Type: application/octet-stream");
header ("Content-Disposition: attachment; filename=\"$id\"\n");
header ("Content-Length: ".filesize($ruta));
$fp=fopen("$ruta", "r");
fpassthru($fp);

?>
				